Metacat - Story #6437

Upgrade to SOLR 4 or 5
03/03/2014 06:52 AM - ben leinfelder

Status: New Start date:

Priority: Normal Due date:

Assignee: dJing Tao % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 2.x.y Spent time: 0.00 hour
Description

We'd like to make use of new key features in SOLR 4:

e spatial indexing/filters
e geohash (for heatmaps/displaying all spatial results at once)
e multiple nested facets

Related issues:
Blocks MetacatUI - Story #6319: Filter spatial data by centroid totally encom... Resolved 12/19/2013

History

#1 - 03/03/2014 07:03 AM - ben leinfelder
- Description updated

- Assignee set to Peter Slaughter

Assigning to Peter for now -- seems he will be involved with SOLR for stats service and has already experimented with some of the SOLR 4 features.

#2 - 05/20/2014 10:54 AM - ben leinfelder

- Target version changed from 2.5.0 to 2.x.y

#3 - 10/05/2017 01:08 PM - Peter Slaughter

- Assignee changed from Peter Slaughter to Jing Tao

#4 - 10/05/2017 01:09 PM - Peter Slaughter
- Subject changed from Upgrade to SOLR 4 to Upgrade to SOLR 4 or 5

#5 - 10/12/2017 10:23 AM - Peter Slaughter

The main reason for updating to at least Solr 4.1 is for pivot queries. Also, Solr 5.3 is needed for the update to the stats component that allows
percentiles (quantiles) to be calculates. This capability is needed for box/whisker plots of metadata quality info that will be added to
the MetacatUI profile pages.

It appears that it may be necessary to recreate the Solr index when upgrading, as the Lucene
index format has changed from v3 to v4 as described here: https://cwiki.apache.org/confluence/display/solr/Major+Changes+from+Solr+3+to+Solr+4.
It looks like v4 can run with a v3 index, but all v4 features may not be available.

Solr v5 cannot run with a v3 index at all, so upgrading is mandatory, using the v4.1 'IndexUpgrader', describe here:
https://cwiki.apache.org/confluence/display/solr/Major+Changes+from+Solr+4+to+Solr+5

So, one upgrade path is to upgrade from v3 to v5, and convert the index using 'IndexUpgrader".
